> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete App Entitlement Monitor Binding

> Remove an app entitlement from a conflict monitor's entitlement set.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/appentitlementmonitorbinding
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/appentitlementmonitorbinding:
    delete:
      tags:
        - App Entitlement Monitor Binding
      summary: Delete App Entitlement Monitor Binding
      description: Remove an app entitlement from a conflict monitor's entitlement set.
      operationId: >-
        c1.api.accessconflict.v1.AppEntitlementMonitorBindingService.DeleteAppEntitlementMonitorBinding
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.accessconflict.v1.DeleteAppEntitlementMonitorBindingRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.accessconflict.v1.DeleteAppEntitlementMonitorBindingResponse
          description: >-
            The response message for deleting an app entitlement monitor
            binding.
      x-codeSamples:
        - lang: go
          label: DeleteAppEntitlementMonitorBinding
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppEntitlementMonitorBinding.DeleteAppEntitlementMonitorBinding(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.DeleteAppEntitlementMonitorBindingResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appEntitlementMonitorBinding.deleteAppEntitlementMonitorBinding();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.accessconflict.v1.DeleteAppEntitlementMonitorBindingRequest:
      description: The request message for deleting an app entitlement monitor binding.
      properties:
        appEntitlementId:
          description: The unique identifier of the app entitlement to unbind.
          readOnly: false
          type: string
        appId:
          description: The unique identifier of the application containing the entitlement.
          readOnly: false
          type: string
        entitlementGroup:
          description: Which side of the conflict monitor (A or B) the binding belongs to.
          enum:
            - ENTITLEMENT_GROUP_UNSPECIFIED
            - ENTITLEMENT_GROUP_A
            - ENTITLEMENT_GROUP_B
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        monitorId:
          description: The unique identifier of the conflict monitor.
          readOnly: false
          type: string
      title: Delete App Entitlement Monitor Binding Request
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementMonitorBindingRequest
    c1.api.accessconflict.v1.DeleteAppEntitlementMonitorBindingResponse:
      description: The response message for deleting an app entitlement monitor binding.
      title: Delete App Entitlement Monitor Binding Response
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementMonitorBindingResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````